API referenceAffiliates
The Affiliate tab of a customer
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
customerId*string
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/stores/string/customers/string/affiliate"{ "programEnabled": true, "balanceMode": "shared", "affiliate": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "email": "string", "code": "string", "referralUrl": "string", "status": "applied", "tierId": "fc392c40-3620-4503-8c0d-7df4d7876c3d", "tierName": "string", "commissionBp": -9007199254740991, "commissionOverrideBp": -9007199254740991, "referrals": -9007199254740991, "earnedMinor": -9007199254740991, "balanceMinor": -9007199254740991, "currency": "string", "applicationAnswer": "string", "statusReason": "string", "source": "string", "createdAt": "string", "approvedAt": "string" }, "storeBalanceMinor": -9007199254740991, "balances": [ { "currency": "string", "availableMinor": -9007199254740991, "pendingPayoutMinor": -9007199254740991 } ], "performance": { "clicks": -9007199254740991, "recentClicks": -9007199254740991, "byCurrency": [ { "currency": "string", "earnedMinor": -9007199254740991, "reversedMinor": -9007199254740991, "revenueMinor": -9007199254740991, "orders": -9007199254740991, "skipped": -9007199254740991, "recentEarnedMinor": -9007199254740991 } ] }, "commissions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5", "orderNumber": -9007199254740991, "orderUniqueId": "string", "buyerEmail": "string", "affiliateId": "db499c7c-f1f8-4bce-9ff0-10cc890eeda0", "affiliateEmail": "string", "affiliateCode": "string", "codeUsed": "string", "attribution": "code", "tierName": "string", "commissionBp": -9007199254740991, "state": "pending", "skipReason": "string", "skipLabel": "string", "currency": "string", "baseMinor": -9007199254740991, "commissionMinor": -9007199254740991, "reversedMinor": -9007199254740991, "buyerDiscountMinor": -9007199254740991, "destination": "store_balance", "earnedAt": "string", "createdAt": "string" } ], "referredCustomers": [ { "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "email": "string", "boundAt": "string" } ], "payouts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "number": -9007199254740991, "affiliateId": "db499c7c-f1f8-4bce-9ff0-10cc890eeda0", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "email": "string", "code": "string", "amountMinor": -9007199254740991, "currency": "string", "status": "pending", "payoutDetails": "string", "sellerNote": "string", "externalReference": "string", "createdAt": "string", "processedAt": "string" } ], "referredBy": { "affiliateId": "db499c7c-f1f8-4bce-9ff0-10cc890eeda0", "email": "string", "code": "string" }}